unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  extctrls, Menus;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure ImageonMousedown(Sender: TObject; Button: TMouseButton;
              Shift: TShiftState; X, Y: Integer);
    procedure ImageOnMousemove(Sender: TObject; Shift: TShiftState; X,
                               Y: Integer);
    procedure ImageOnMouseUp(Sender: TObject; Button: TMouseButton;
                               Shift: TShiftState; X, Y: Integer);
    procedure Schliessen1Click(Sender: TObject);

  private
    zeichne: boolean;
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
  var myimage: TImage;  //uses extctrls einfgen
begin
  zeichne := false;
  myimage := Timage.create(application); //Damit beim Beenden automatisch free
  with myimage do Begin
    parent := Form1;
    //Ereignisprozeduren werden zur Laufzeit zugewiesen
    //Diese mssen als Methoden von Form1 geschrieben werden
    onMousedown :=ImageonMousedown;
    onmousemove := ImageOnMousemove;
    onmouseup := ImageOnMouseUp;
    left := 10;
    top := 10;
    width := Form1.Clientwidth-20;
    height := Form1.clientheight-20;
    Canvas.Rectangle(0,0,width,height);
    show;
  End;
  caption:='Klicke mit der Maus und zeichne!'
end;

procedure TForm1.ImageonMousedown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  with (sender as Timage).canvas do moveto(x,y);
  Zeichne := True;
end;

procedure TForm1.ImageOnMousemove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if zeichne then with (sender as Timage).canvas do lineto(x,y);
end;

procedure TForm1.ImageOnMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Zeichne := false;
end;


procedure TForm1.Schliessen1Click(Sender: TObject);
begin
  close;
end;

end.
